%define perl_major_ver  %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-Rijndael
Version:       1.14
Release:       1mamba
Summary:       Crypt::Rijndael - Crypt::CBC compliant Rijndael encryption module
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Crypt/Crypt-Rijndael-%{version}.tar.gz
License:       Artistic, GPL
BuildRequires: perl-devel >= %perl_mayor_ver
Requires:      perl >= %perl_mayor_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module implements the Rijndael cipher, which has just been selected as 
the Advanced Encryption Standard.

%prep
%setup -q -n Crypt-Rijndael-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Jul 31 2019 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Sat May 30 2015 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Thu Jan 09 2014 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-2mamba
- perl 5.16 mass rebuild

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Thu Jul 12 2012 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.07-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.05-2mamba
- automatic rebuild by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 1.05-1mamba
- update to 1.05

* Wed May 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.05-3qilnx
- specfile fixed and updated

* Thu Apr 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.05-2qilnx
- new generic specfile (common for almost all the perl modules)

* Tue Feb 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.05-1qilnx
- First build
